LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-11-2006, 06:52 PM   #1
esperco
LQ Newbie
 
Registered: Sep 2006
Posts: 2

Rep: Reputation: 0
Unhappy RPM Tool Can't find package that is there


Red Hat Linux AS 4

I'm trying to install the Development Tools packages using the RPM Management Tool but it can't find the krb5-libs but when query, it's there.

The tool tells me that krb5-workstation needs it.

They are both of the same version: 1.3.4-33.i386.

Any advice would be welcome!
 
Old 09-11-2006, 07:18 PM   #2
Brian1
LQ Guru
 
Registered: Jan 2003
Location: Seymour, Indiana
Distribution: Distribution: RHEL 5 with Pieces of this and that. Kernel 2.6.23.1, KDE 3.5.8 and KDE 4.0 beta, Plu
Posts: 5,700

Rep: Reputation: 62
Kind of confused what you are doing and needed. Post the commands you use and the output from them. Then show what is there and what it says it is not there but is.

Brian1
 
Old 09-11-2006, 07:59 PM   #3
banan
LQ Newbie
 
Registered: Mar 2005
Posts: 9

Rep: Reputation: 0
try to update krb5 with yum.
I just got rid of this problem 10 minutes ago.
see this thread -> http://www.linuxquestions.org/questi...71#post2418771
good luck.
 
Old 09-11-2006, 08:57 PM   #4
esperco
LQ Newbie
 
Registered: Sep 2006
Posts: 2

Original Poster
Rep: Reputation: 0
Clarification

I installed Red Hat Linux AS 4 and all the latest updates.

Now I'd like to install the Development Tools using the Package Management Tool
(Applications>System Settings>Add/Remove Applications)

I get the following error :

"The following package could not be found on your system.
Installation cannot continue until it is installed"

"krb5-libs" required by "krb5-workstation" "1.3.4" "33"

However, when I query rpm through the command line, I find it.

I also tried installing, but rmp says that it is already installed.

I tried rebuilding the rmp database just in case; still no success.
 
Old 09-11-2006, 09:04 PM   #5
w3bd3vil
Senior Member
 
Registered: Jun 2006
Location: Hyderabad, India
Distribution: Fedora
Posts: 1,189

Rep: Reputation: 49
use the command
yum install krb5
that should solve all your problems.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
How to find corresponding rpm package stewchcken Linux - Software 3 07-14-2005 12:50 AM
Adding a package so rpm can find it dangerousdave Linux - Newbie 2 02-22-2005 12:39 PM
How to Find the Compile Time Options of a RPM Package spurgeonb Red Hat 0 11-14-2004 12:00 AM
how to find all files and programs in a package (RPM) 1kyle Linux - Software 1 07-13-2004 05:16 AM
can reinstall the rpm package without delete the rpm package eye Red Hat 1 10-20-2003 08:53 AM


All times are GMT -5. The time now is 01:40 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration